petsc-3.4.2 2013-07-02

# MatCoarsenGetType

Gets the Coarsen method type and name (as a string) from the coarsen context.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatCoarsenGetType(MatCoarsen coarsen,MatCoarsenType *type)

Not collective

### Input Parameter

coarsen -the coarsen context

### Output Parameter

type -aggregator type

Not Collective

### Keywords

Coarsen, get, method, name, type

Level:intermediate
Location:src/mat/coarsen/coarsen.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages